::before, ::after {
    box-sizing: border-box;
}

:root {
    font-family: 'Georgia',sans-serif; 
    --primary: oklch(0.25 0.01 325);
    --bg: oklch(0.99 0.003 325);
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    nav {
        position: relative;
        padding-block: 1rem;
        padding-inline: 2rem;
        background-color: var(--primary);
    }

    ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        a {
            text-decoration: none;
            color: var(--bg);
        }
        li {
            padding: 1rem;
        }
    }
}

.cards {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin: 0;
    padding: 0;
    list-style: none;
}

.cards li {
    flex: 0 0 calc((100% - 2rem) / 3);
    min-width: 20rem;
    box-sizing: border-box;
    border: 1px solid var(--primary);
    padding: 1rem;
    position: relative;
    display: flex;
    flex-direction: column;
}


.cards .content {
    padding: 1rem;
    background-color: white;
}

.cards picture {
    width: 100%;
    height: auto;
}

.cards .overlay-link {
    position: absolute;
    inset: 0;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}


.cards li a:not(.overlay-link) {
    z-index: 1;
}

.mylink{
    a{
        color: red;
    }
}

.mylink::before {
    content: "X";
    color: red;
    display: inline-block;
    margin-right: 5px;
    font-weight: bold;
}

.mybutton{
    a{
        display: inline-block;
        padding: 1rem 1rem;
        color: white;
        background-color: green;
        text-decoration: none;
        font-weight: bold;
        border-radius: 8px;
    }
}